ConfigurableFileTree (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.api.file

## [Java] Interface ConfigurableFileTree

- org.gradle.api.file.ConfigurableFileTree

- All Superinterfaces:
    AntBuilderAware, FileCollection, PatternFilterable, DirectoryTree, Buildable, FileTree

  A FileTree with a single base directory, which can be configured and modified.

  You can obtain a `ConfigurableFileTree` instance by calling Project.fileTree.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ConfigurableFileTree` | `builtBy(Object... tasks)` Registers some tasks which build the files of this collection.
    `ConfigurableFileTree` | `from(Object dir)` Specifies base directory for this file tree using the given path.
    `Set<Object>` | `getBuiltBy()` Returns the set of tasks which build the files of this collection.
    `File` | `getDir()` Returns the base directory of this file tree.
    `ConfigurableFileTree` | `setBuiltBy(Iterable<?> tasks)` Sets the tasks which build the files of this collection.
    `ConfigurableFileTree` | `setDir(Object dir)` Specifies base directory for this file tree using the given path.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Buildable` | `getBuildDependencies`
    `interface DirectoryTree` | `getDir, getPatterns`
    `interface FileTree` | `getAsFileTree, getFiles, matching, matching, plus, visit, visit`
    `interface PatternFilterable` | `exclude, exclude, exclude, exclude, getExcludes, getIncludes, include, include, include, include, setExcludes, setIncludes`

- - ### Method Detail

    - #### public ConfigurableFileTree builtBy(Object... tasks)

      Registers some tasks which build the files of this collection.

      Parameters:
        `tasks` - The tasks. These are evaluated as per Task.dependsOn.
      Returns:
        this

    - #### public ConfigurableFileTree from(Object dir)

      Specifies base directory for this file tree using the given path. The path is evaluated as per Project.file.

      Parameters:
        `dir` - The base directory.
      Returns:
        this

    - #### public Set<Object> getBuiltBy()

      Returns the set of tasks which build the files of this collection.

      Returns:
        The set. Returns an empty set when there are no such tasks.

    - #### public File getDir()

      Returns the base directory of this file tree.

      Returns:
        The base directory. Never returns null.

    - #### public ConfigurableFileTree setBuiltBy(Iterable<?> tasks)

      Sets the tasks which build the files of this collection.

      Parameters:
        `tasks` - The tasks. These are evaluated as per Task.dependsOn.
      Returns:
        this

    - #### public ConfigurableFileTree setDir(Object dir)

      Specifies base directory for this file tree using the given path. The path is evaluated as per Project.file.

      Parameters:
        `dir` - The base directory.
      Returns:
        this